<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('laporans', function (Blueprint $table) {
            $table->string('pelapor_tipe')->nullable();
            $table->string('jenis_identitas')->nullable();
            $table->string('no_telepon')->nullable();
            $table->string('file_identitas')->nullable();
            $table->string('file_bukti')->nullable();
            $table->string('jenis_kelamin')->nullable();
            $table->date('tanggal_kejadian')->nullable();
            $table->string('lokasi_kejadian')->nullable();
            $table->string('jenis_kekerasan')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('laporans', function (Blueprint $table) {
            $table->dropColumn([
                'pelapor_tipe',
                'jenis_identitas',
                'no_telepon',
                'file_identitas',
                'file_bukti',
                'jenis_kelamin',
                'tanggal_kejadian',
                'lokasi_kejadian',
                'jenis_kekerasan'
            ]);
        });
    }
};
